/* Image Block */
/* -------------------------------------------------- */
.fw-block-image-parent {
  position: relative;
  display: block;
}
.fw-block-image-parent .fw-block-image-child {
  display: block;
}
.fw-block-image-parent.fw-block-image-circle {
  border-radius: 50%;
}
.fw-block-image-parent.fw-block-image-circle:before {
  border-radius: 50%;
}
.fw-block-image-parent.fw-block-image-circle .fw-block-image-child {
  border-radius: 50%;
  z-index: 1;
}
.fw-block-image-parent.fw-block-image-circle .fw-block-image-child img {
  border-radius: 50%;
}
.fw-block-image-parent.fw-block-image-circle .fw-block-image-overlay {
  border-radius: 50%;
}
.fw-block-image-parent.fw-block-image-overlay .fw-noratio img {
  display: block;
}
/* Image Position */
.fw-block-image-parent.fw-block-image-left {
  width: 250px;
  float: left;
  margin-right: 30px;
  margin-bottom: 0;
}
.fw-block-image-parent.fw-block-image-right {
  width: 250px;
  float: right;
  margin-left: 30px;
  margin-bottom: 0;
}
.fw-block-image-parent.fw-block-image-center {
  margin: 0 auto;
}
/* Image Block Caption */
.fw-block-image-parent .fw-block-image-caption {
  background-color: <?php echo the_core_hex2rgba($the_core_less_variables['theme-color-1'], 0.9); ?>;
  position: absolute;
  bottom: 10%;
  left: -<?php echo esc_js($the_core_less_variables['fw-space-between-elements-sm']); ?>;
  z-index: 2;
  font-size: <?php echo esc_js($the_core_less_variables['font-size-base']); ?>;
  line-height: 1.2em;
  padding: 3%;
  width: 400px;
  max-width: 100%;
  color: #fff;
  font-style: italic;
}

/* Image Frame */
.fw-block-image-frame {
    border: <?php echo esc_js($the_core_less_variables['fw-block-image-frame-size']); ?> solid <?php echo esc_js($the_core_less_variables['fw-block-image-frame-color']); ?>;
}
/* Video Frame */
.fw-video{
  max-width: 100%;
}
.fw-video-frame iframe {
  border: <?php echo esc_js($the_core_less_variables['fw-block-image-frame-size']); ?> solid <?php echo esc_js($the_core_less_variables['fw-block-image-frame-color']); ?>;
}

/* Responsive */
/* Screen 1024px */
@media(max-width:1199px){
  .fw-block-image-parent .fw-block-image-caption {
    left: <?php echo ceil(floatval($the_core_less_variables['fw-space-between-elements-sm'])*0.88); ?>px;
  }
}

/* Screen 768px */
@media(max-width:991px){
  .fw-block-image-parent .fw-block-image-caption {
    left: <?php echo ceil(floatval($the_core_less_variables['fw-space-between-elements-sm'])*0.43); ?>px;
  }
}

/* Screen 568px */
@media(max-width:767px){
  .fw-block-image-parent {
    max-width: 100%;
  }
  .fw-block-image-parent .fw-block-image-caption {
      left: -<?php echo ceil(floatval($the_core_less_variables['fw-space-between-elements-sm'])*0.33); ?>px;
  }
}